Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.graphics.editor
Class ViewEditorPane

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      ru.biosoft.graphics.editor.ViewPane
                          ru.biosoft.graphics.editor.ViewEditorPane

All Implemented Interfaces:
  javax.accessibility.Accessible, java.util.EventListener, java.awt.image.ImageObserver, java.awt.event.KeyListener, java.awt.MenuContainer, java.awt.event.MouseListener, java.awt.event.MouseMotionListener, java.io.Serializable, com.beanexplorer.undo.Transactable, com.beanexplorer.undo.TransactionListener

public class ViewEditorPane
extends ViewPane
implements com.beanexplorer.undo.Transactable, com.beanexplorer.undo.TransactionListener, java.awt.event.KeyListener

These a genearal class to edit any CompositeView. To provide specific changes in data model it uses some instance of ViewEditorHelper.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class ru.biosoft.graphics.editor.ViewPane
`ViewPane.MPanel`

Nested classes inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Nested classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`protected View` | `acceptingSelection`
`protected static int` | `BC`
`protected static int` | `BL`
`protected static int` | `BR`
`protected java.awt.Rectangle` | `initialRect`
`protected boolean` | `initiated`
`protected javax.swing.event.EventListenerList` | `listenerList`
`protected static int` | `ML`
`protected boolean` | `moving`
`protected static int` | `MR`
`protected java.awt.Point` | `prevPoint`
`protected boolean` | `resizing`
`protected int` | `resizingDirection`
`protected CompositeView` | `selection`
`protected ru.biosoft.graphics.editor.ViewEditorPane.SelectionUndo` | `selectionUndo`
`protected java.awt.Point` | `startPoint`
`protected static int` | `TC`
`protected static int` | `TL`
`static int` | `TOOLBAR_BUTTON_SIZE`
`protected static int` | `TR`

Fields inherited from class ru.biosoft.graphics.editor.ViewPane
`at, cView, mPanel, selectionManager, viewPaneListeners`

Fields inherited from class javax.swing.JComponent
`accessibleContext, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`ViewEditorPane(ViewEditorHelper helper)`

Method Summary
`void` | `add(java.lang.Object obj, java.awt.Point point)` Adds new diagram element to the specified location (left, top) to the diagram.
`boolean` | `addEdit(javax.swing.undo.UndoableEdit ue)`
`void` | `addTransactionListener(com.beanexplorer.undo.TransactionListener listener)`
`void` | `changeSize(java.awt.Dimension offset, java.awt.Dimension size)` Change size for the selected (one) entity.
`protected boolean` | `check(java.awt.Point corner, java.awt.Point ptToCheck)`
`void` | `completeTransaction()`
`protected View` | `createAcceptingSelectionBox(java.awt.Rectangle rect)`
`protected View` | `createSelectionBox(java.awt.Rectangle rect)`
`protected void` | `fireAddEdit(javax.swing.undo.UndoableEdit ue)`
`protected void` | `fireCompleteTransaction()`
`protected void` | `fireStartTransaction(com.beanexplorer.undo.TransactionEvent evt)`
`protected int` | `getResizingDirection(View view, java.awt.Point point)`
`protected java.awt.Rectangle` | `getResizingSelectionRect(int resizingDirection, java.awt.Rectangle initailRect, int dx, int dy)`
`boolean` | `getSelectionEnabled()`
`boolean` | `isFocusTraversable()`
`boolean` | `isInsertMode()`
`void` | `keyPressed(java.awt.event.KeyEvent e)`
`void` | `keyReleased(java.awt.event.KeyEvent e)`
`void` | `keyTyped(java.awt.event.KeyEvent e)`
`void` | `mouseDragged(java.awt.event.MouseEvent e)`
`void` | `mouseMoved(java.awt.event.MouseEvent e)`
`void` | `mousePressed(java.awt.event.MouseEvent e)`
`void` | `mouseReleased(java.awt.event.MouseEvent e)`
`void` | `move(java.awt.Dimension offset)` Move all selected entities to the specified offset
`void` | `remove()` Remove all selected entities.
`void` | `removeTransactionListener(com.beanexplorer.undo.TransactionListener listener)`
`void` | `resetInsertMode()`
`protected void` | `setInsertMode(java.lang.Class classToInsert)`
`void` | `setSelectionEnabled(boolean selectionEnabled)`
`void` | `startTransaction(java.lang.String name)`
`void` | `startTransaction(com.beanexplorer.undo.TransactionEvent te)`

Methods inherited from class ru.biosoft.graphics.editor.ViewPane
`addMouseListener, addMouseMotionListener, addViewPaneListener, getContent, getScaleX, getScaleY, getSelectionManager, getView, getView, makeOffset, mouseClicked, mouseEntered, mouseExited, prepareEvent, removeMouseListener, removeMouseMotionListener, removeViewPaneListener, repaint, resetScrollBars, scale, setBackground, setSelectionManager, setSizeAllign, setToScale, setView, setView, updateScrollBars`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseWheelListener, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TOOLBAR_BUTTON_SIZE

    public static final int TOOLBAR_BUTTON_SIZE

See Also:
  Constant Field Values

### initiated

    protected boolean initiated

### TL

    protected static final int TL

See Also:
  Constant Field Values

### TC

    protected static final int TC

See Also:
  Constant Field Values

### TR

    protected static final int TR

See Also:
  Constant Field Values

### ML

    protected static final int ML

See Also:
  Constant Field Values

### MR

    protected static final int MR

See Also:
  Constant Field Values

### BL

    protected static final int BL

See Also:
  Constant Field Values

### BC

    protected static final int BC

See Also:
  Constant Field Values

### BR

    protected static final int BR

See Also:
  Constant Field Values

### resizing

    protected boolean resizing

### initialRect

    protected java.awt.Rectangle initialRect

### resizingDirection

    protected int resizingDirection

### moving

    protected boolean moving

### startPoint

    protected java.awt.Point startPoint

### prevPoint

    protected java.awt.Point prevPoint

### selection

    protected CompositeView selection

### acceptingSelection

    protected View acceptingSelection

### listenerList

    protected javax.swing.event.EventListenerList listenerList

### selectionUndo

    protected ru.biosoft.graphics.editor.ViewEditorPane.SelectionUndo selectionUndo

Constructor Detail

### ViewEditorPane

    public ViewEditorPane(ViewEditorHelper helper)

Method Detail

### setInsertMode

    protected void setInsertMode(java.lang.Class classToInsert)

### resetInsertMode

    public void resetInsertMode()

### isInsertMode

    public boolean isInsertMode()

### getSelectionEnabled

    public boolean getSelectionEnabled()

### setSelectionEnabled

    public void setSelectionEnabled(boolean selectionEnabled)

### move

    public void move(java.awt.Dimension offset)

  Move all selected entities to the specified offset

### changeSize

    public void changeSize(java.awt.Dimension offset,
                           java.awt.Dimension size)

  Change size for the selected (one) entity.

### add

    public void add(java.lang.Object obj,
                    java.awt.Point point)

  Adds new diagram element to the specified location (left, top) to the diagram.

### remove

    public void remove()

  Remove all selected entities.

### isFocusTraversable

    public boolean isFocusTraversable()

### keyTyped

    public void keyTyped(java.awt.event.KeyEvent e)

  Specified by:
    `keyTyped` in interface `java.awt.event.KeyListener`

### keyPressed

    public void keyPressed(java.awt.event.KeyEvent e)

  Specified by:
    `keyPressed` in interface `java.awt.event.KeyListener`

### keyReleased

    public void keyReleased(java.awt.event.KeyEvent e)

  Specified by:
    `keyReleased` in interface `java.awt.event.KeyListener`

### mousePressed

    public void mousePressed(java.awt.event.MouseEvent e)

  Specified by:
    `mousePressed` in interface `java.awt.event.MouseListener`
  Overrides:
    `mousePressed` in class `ViewPane`

### mouseReleased

    public void mouseReleased(java.awt.event.MouseEvent e)

  Specified by:
    `mouseReleased` in interface `java.awt.event.MouseListener`
  Overrides:
    `mouseReleased` in class `ViewPane`

### mouseDragged

    public void mouseDragged(java.awt.event.MouseEvent e)

  Specified by:
    `mouseDragged` in interface `java.awt.event.MouseMotionListener`
  Overrides:
    `mouseDragged` in class `ViewPane`

### mouseMoved

    public void mouseMoved(java.awt.event.MouseEvent e)

  Specified by:
    `mouseMoved` in interface `java.awt.event.MouseMotionListener`
  Overrides:
    `mouseMoved` in class `ViewPane`

### getResizingSelectionRect

    protected java.awt.Rectangle getResizingSelectionRect(int resizingDirection,
                                                          java.awt.Rectangle initailRect,
                                                          int dx,
                                                          int dy)

### check

    protected boolean check(java.awt.Point corner,
                            java.awt.Point ptToCheck)

### getResizingDirection

    protected int getResizingDirection(View view,
                                       java.awt.Point point)

### createSelectionBox

    protected View createSelectionBox(java.awt.Rectangle rect)

### createAcceptingSelectionBox

    protected View createAcceptingSelectionBox(java.awt.Rectangle rect)

### addTransactionListener

    public void addTransactionListener(com.beanexplorer.undo.TransactionListener listener)

  Specified by:
    `addTransactionListener` in interface `com.beanexplorer.undo.Transactable`

### removeTransactionListener

    public void removeTransactionListener(com.beanexplorer.undo.TransactionListener listener)

  Specified by:
    `removeTransactionListener` in interface `com.beanexplorer.undo.Transactable`

### startTransaction

    public void startTransaction(java.lang.String name)

### startTransaction

    public void startTransaction(com.beanexplorer.undo.TransactionEvent te)

  Specified by:
    `startTransaction` in interface `com.beanexplorer.undo.TransactionListener`

### addEdit

    public boolean addEdit(javax.swing.undo.UndoableEdit ue)

  Specified by:
    `addEdit` in interface `com.beanexplorer.undo.TransactionListener`

### completeTransaction

    public void completeTransaction()

  Specified by:
    `completeTransaction` in interface `com.beanexplorer.undo.TransactionListener`

### fireStartTransaction

    protected void fireStartTransaction(com.beanexplorer.undo.TransactionEvent evt)

### fireAddEdit

    protected void fireAddEdit(javax.swing.undo.UndoableEdit ue)

### fireCompleteTransaction

    protected void fireCompleteTransaction()

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.